import cx from 'classnames';
import React from 'react';
import { useHint } from '../../hooks';
const Hint = (props) => {
    const { hintRef, hintText } = useHint();
    return (React.createElement("div", { className: props.className, style: {
            display: 'flex',
            flex: 1,
            height: '100%',
            position: 'relative',
            ...props.style,
        } },
        props.children,
        React.createElement("input", { "aria-hidden": true, className: cx('rbt-input-hint', props.hintClassName), ref: hintRef, readOnly: true, style: {
                backgroundColor: 'transparent',
                borderColor: 'transparent',
                boxShadow: 'none',
                color: 'rgba(0, 0, 0, 0.54)',
                left: 0,
                pointerEvents: 'none',
                position: 'absolute',
                top: 0,
                width: '100%',
                ...props.hintStyle,
            }, tabIndex: -1, value: hintText })));
};
export default Hint;
