import React from 'react';
import * as stories from './Loader.stories';
import { composeStories, generateSnapshots, render, screen, } from '../../tests/helpers';
const { Default } = composeStories(stories);
describe('<Loader>', () => {
    generateSnapshots(stories);
    it('renders a loading indicator', () => {
        render(React.createElement(Default, null));
        expect(screen.getByRole('status')).toHaveClass('rbt-loader spinner-border spinner-border-sm');
        expect(screen.getByText('Loading...')).toBeTruthy();
    });
    it('renders a custom label for accessibility', () => {
        render(React.createElement(Default, { label: "Waiting..." }));
        expect(screen.getByText('Waiting...')).toBeTruthy();
    });
});
