import { useEffect, useState } from 'react';
import { getStringLabelKey, getTruncatedOptions } from '../../utils';
function usePagination({ isMenuShown, labelKey, maxResults, paginate, text, ...props }) {
    let results = [...props.results];
    const [shownResults, setShownResults] = useState(maxResults);
    useEffect(() => {
        setShownResults(maxResults);
    }, [isMenuShown, maxResults, text]);
    function onPaginate(e) {
        setShownResults((prevShownResults) => {
            const newShownResults = prevShownResults + maxResults;
            props.onPaginate?.(e, newShownResults);
            return newShownResults;
        });
    }
    const shouldPaginate = paginate && results.length > shownResults;
    results = getTruncatedOptions(results, shownResults);
    if (shouldPaginate) {
        results.push({
            [getStringLabelKey(labelKey)]: '',
            paginationOption: true,
        });
    }
    return { onPaginate, results };
}
export default usePagination;
