import { ChangeEvent } from 'react';
import { TypeaheadProps } from '../core';
import type { Option } from '../types';
export interface UseAsyncProps extends TypeaheadProps {
    delay?: number;
    isLoading: boolean;
    onSearch: (query: string) => void;
    useCache?: boolean;
}
declare function useAsync(props: UseAsyncProps): {
    allowNew: boolean | ((options: Option[], state: import("../types").TypeaheadState) => boolean) | undefined;
    isLoading: boolean;
    minLength: number;
    onInputChange: (e: ChangeEvent<HTMLInputElement>) => void;
    options: Option[];
    query: string;
    autoFocus?: boolean | undefined;
    caseSensitive?: boolean | undefined;
    defaultInputValue?: string | undefined;
    defaultOpen?: boolean | undefined;
    defaultSelected?: Option[] | undefined;
    filterBy?: string[] | import("../types").FilterByCallback | undefined;
    highlightOnlyResult?: boolean | undefined;
    id?: string | undefined;
    ignoreDiacritics?: boolean | undefined;
    inputProps?: import("react").InputHTMLAttributes<HTMLInputElement> | undefined;
    labelKey?: import("../types").LabelKey | undefined;
    multiple?: boolean | undefined;
    onBlur?: import("react").FocusEventHandler<HTMLInputElement> | undefined;
    onChange?: ((selected: Option[]) => void) | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLInputElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLInputElement> | undefined;
    onMenuToggle?: ((isOpen: boolean) => void) | undefined;
    open?: boolean | undefined;
    selected?: Option[] | undefined;
    selectHint?: import("../types").SelectHint | undefined;
};
export default useAsync;
