import { FocusEvent, FocusEventHandler, HTMLAttributes, KeyboardEvent, MouseEvent, MouseEventHandler } from 'react';
import { Option, OptionHandler } from '../types';
export interface UseTokenProps<T> extends HTMLAttributes<T> {
    onBlur?: FocusEventHandler<T>;
    onClick?: MouseEventHandler<T>;
    onFocus?: FocusEventHandler<T>;
    onRemove?: OptionHandler;
    option: Option;
}
declare function useToken<T extends HTMLElement>({ onBlur, onClick, onFocus, onRemove, option, }: UseTokenProps<T>): {
    active: boolean;
    onBlur: (e: FocusEvent<T>) => void;
    onClick: (e: MouseEvent<T>) => void;
    onFocus: (e: FocusEvent<T>) => void;
    onKeyDown: (e: KeyboardEvent<T>) => void;
    onRemove: (() => void) | undefined;
};
export default useToken;
