import { useState, } from 'react';
import { isFunction } from '../utils';
function useToken({ onBlur, onClick, onFocus, onRemove, option, }) {
    const [active, setActive] = useState(false);
    const handleBlur = (e) => {
        setActive(false);
        onBlur?.(e);
    };
    const handleClick = (e) => {
        setActive(true);
        onClick?.(e);
    };
    const handleFocus = (e) => {
        setActive(true);
        onFocus?.(e);
    };
    const handleRemove = () => {
        onRemove?.(option);
    };
    const handleKeyDown = (e) => {
        if (e.key === 'Backspace' && active) {
            e.preventDefault();
            handleRemove();
        }
    };
    return {
        active,
        onBlur: handleBlur,
        onClick: handleClick,
        onFocus: handleFocus,
        onKeyDown: handleKeyDown,
        onRemove: isFunction(onRemove) ? handleRemove : undefined,
    };
}
export default useToken;
